<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/admin/partials
 */
?>
<div class="cmp_wrapper">
	<div class="cmp_whole_content">
		<div class="cmp_heading_top">
			<h1>Contact form 7 mailchimp addon</h1>
		</div>
		<div class="cmp_content_section">
			<div class="cmp_dashboard_div"> 
				<div class="cmp_full_width">
					<div class="cmp_setup_guide"> 
						<div class="cmp_heading">
							<h1>Quick Setup Guide</h1>
						</div>
						<p>Hello, Welcome to the CF7 Mailchimp Addon Plugin. To get you up and running quickly, work your way through these simple steps</p>
						<ol>
							<li>Step 1 - <span class="cmp_gray">Simply make a Mailchimp connection first by getting an Api key and just save the list.</span> 
							</li>
							<li> Step 2 - <span class="cmp_gray">Second step is to make a CF7 connection , here just select the form and set the Mailchimp list. This will basically map the form with the appropriate list.</span> 
							</li>
							<li> Other features - <br><span class="cmp_gray1">
								<span class="cmp_dark">Cf7-Datalog </span> - This plugin provides all the visitors entry that are subscribed by CF7.</span></br>
								<span class="cmp_gray1"><span class="cmp_dark">Broadcast Messages</span> - you can quick review all broadcast campaign detail from Mailchimp.</span></br>
								<span class="cmp_gray1"><span class="cmp_dark">List manager </span>- This feature provide you all the number of Subscribers and Unsubscribers and total entries according to the Mailchimp list.</span></br>
								<span class="cmp_gray1"><span class="cmp_dark">Mailchimp Quick Connect</span>- Here you can make a quick Mailchimp subscribe form by using pretty and attractive templates and set a list where we want to save the subscribers entries.</span></br>
							</li>
						</ol>
						<!--/.cfma_heading-->
					</div><!--/.cfma_setup_guide-->
					<div class="cmp_video_div">
						<p> 
						CF7 Mailchimp Addon! This Plugin literally takes the simplicity of CF7 and completely transforms it into a lead generating and list building facility…. </p>
						<p>This plugin integrates with Mailchimp Auto Responder. It also stores all the enquiries in the Wordpress backend so you can save it via csv into your PC.
						</p> 
					</div><!--/.cfma_video_div-->
				</div><!--/.cfma_full_width-->
			</div><!--/.cfma_dashboard_div-->
		</div>
	</div>
</div>