<?php
class cmp_subscriber{
	
	public function switch_responder( $apikey, $action, $responder ){
		switch($responder){			
			case 'Mailchimp':
				return $this->Mailchimp( $apikey, $action );
			break;
		}
	}
		
	public function Mailchimp( $apikey, $action ){
		 require_once  CMP_PATH . '/subscribers/Mailchimp/MailChimp.php';
		
		if($action === 'getList'){
			$key = $apikey['api_key'];	
            //print_r($key);			
			$api = new MailChimp($key);
			$retval = $api->get('lists');
			
			//print_r($retval);
			if (!empty($retval['lists'])){
				foreach ($retval['lists'] as $v){
					$list[$v['id']] = $v['name'];
				}
				$result['list'] = $list;
			}else{
				$result = array('error'=>'Error occur may be somethig wrong.');
			}
			
			return $result;
		}
		
		if($action == 'subsCribe'){
			$key = $apikey['api_key'];
			
			$api = new MailChimp( $key );
			
			$listID = $_POST['listid'];
			
			//print_r($_POST);
			if($_POST['name']){
				$args = array('FNAME' => $_POST['name']);
			}else{
				$args = array();
			}
			
			if(!empty($listID)){
				$api->listSubscribe($listID, $_POST['email'], $args );
			}
			
			if ($api->errorCode == ''){
				$result = array('success'=>'Thank you, please check your email.');
			}elseif($api->errorCode == 214){
				$result = array('success'=>'This email already subscribe.');
			}else{
				$result = array('error'=>'Subscribe unsuccessfully, please contact administrator for more information.');
			}
			
			return $result;
			
		}  
		
		if($action == 'getStatus'){
			$key = $apikey['api_key'];
			$api = new MailChimp( $key );
			$listID = $_POST['list_id'];
			$email = $_POST['email'];

			$result = $api->listMemberActivity( $listID, $email );

			if($result['success'] == 1 && empty($result['data'][0])){
				$output = 'Active';
			}else{
				$output = 'Inactive';
			} 

			return array('output'=>$output);
		}
	}

}